ps2epsi fails after December 01 update

Bug #1647276 reported by David Annetts on 2016-12-05
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ghostscript (Ubuntu)
Undecided
Emily Ratliff

Bug Description

ps2epsi conversion was working fine before the December 2 update. Now? Broken.

This means that I am unable to convert from a ps to a PDF and have the correct (tight) bounding box.

Start-Date: 2016-12-02 10:42:35
Commandline: /usr/bin/unattended-upgrade
Upgrade: libgs9:amd64 (9.18~dfsg~0-0ubuntu2, 9.18~dfsg~0-0ubuntu2.2), ghostscript:amd64 (9.18~dfsg~0-0ubuntu2, 9.18~df
sg~0-0ubuntu2.2), ghostscript-x:amd64 (9.18~dfsg~0-0ubuntu2, 9.18~dfsg~0-0ubuntu2.2), libgs9-common:amd64 (9.18~dfsg~0
-0ubuntu2, 9.18~dfsg~0-0ubuntu2.2)
End-Date: 2016-12-02 10:42:37

Description: Ubuntu 16.04.1 LTS
Release: 16.04

CVE References

David Annetts (dwannetts) wrote :
Emily Ratliff (emilyr) on 2016-12-05
Changed in ghostscript (Ubuntu):
assignee: nobody → Emily Ratliff (emilyr)
Emily Ratliff (emilyr) wrote :

Thanks for filing this bug, David, and thanks especially for providing a reproducer which demonstrates the problem. I can reproduce this problem on upstream ghostscript so I have filed a bug in their bugzilla to alert them to the problem as well.
http://bugs.ghostscript.com/show_bug.cgi?id=697419

Brilliant!

Many thanks Emily -- looking forward to a resolution.

David Annetts Ph.D.
Senior Research Scientist
CSIRO | Mineral Resources
E <email address hidden> T +61 8 6436 8517 M 0411 756 129
26 Dick Perry Av. KENSINGTON, 6151, AUSTRALIA
www.csiro.au

PLEASE NOTE
The information contained in this email may be confidential or privileged. Any unauthorised use or disclosure is prohibited. If you have received this email in error, please delete it immediately and notify the sender by return email. Thank you. To the extent permitted by law, CSIRO does not represent, warrant and/or guarantee that the integrity of this communication has been maintained or that the communication is free of errors, virus, interception or interference.

________________________________________
From: <email address hidden> <email address hidden> on behalf of Emily Ratliff <email address hidden>
Sent: Tuesday, 6 December 2016 00:16
To: Annetts, Dave (Mineral Resources, Kensington WA)
Subject: [Bug 1647276] Re: ps2epsi fails after December 01 update

Thanks for filing this bug, David, and thanks especially for providing a reproducer which demonstrates the problem. I can reproduce this problem on upstream ghostscript so I have filed a bug in their bugzilla to alert them to the problem as well.
http://bugs.ghostscript.com/show_bug.cgi?id=697419

** Bug watch added: Ghostscript (AFPL) Bugzilla #697419
   http://bugs.ghostscript.com/show_bug.cgi?id=697419

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1647276

Title:
  ps2epsi fails after December 01 update

Status in ghostscript package in Ubuntu:
  New

Bug description:
  ps2epsi conversion was working fine before the December 2 update.
  Now? Broken.

  This means that I am unable to convert from a ps to a PDF and have the
  correct (tight) bounding box.

  Start-Date: 2016-12-02 10:42:35
  Commandline: /usr/bin/unattended-upgrade
  Upgrade: libgs9:amd64 (9.18~dfsg~0-0ubuntu2, 9.18~dfsg~0-0ubuntu2.2), ghostscript:amd64 (9.18~dfsg~0-0ubuntu2, 9.18~df
  sg~0-0ubuntu2.2), ghostscript-x:amd64 (9.18~dfsg~0-0ubuntu2, 9.18~dfsg~0-0ubuntu2.2), libgs9-common:amd64 (9.18~dfsg~0
  -0ubuntu2, 9.18~dfsg~0-0ubuntu2.2)
  End-Date: 2016-12-02 10:42:37

  Description: Ubuntu 16.04.1 LTS
  Release: 16.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ghostscript/+bug/1647276/+subscriptions

Ray Johnston (ray-johnston) wrote :

Just in case you aren't following the bug forwarded to us, we have closed the bug as INVALID
Basically, the bug report was incomplete, and confusing -- the title and follow up info to us
indicated ps2epsi, but the description comment "This means that I am unable to convert from a ps to a PDF and have the correct (tight) bounding box." indicates that a PDF was being created. ps2epsi does not create a PDF (ghostscript can, using ps2pdf, not ps2epsi.

We did try ps2epsi and the %%BoundingBox looks fine.

Please try and do a better job of describing bugs in the future, bu including the command line
and describing the "before" and "after" results in as much detail as possible, particularly
what you think is incorrect in the "after".

David Annetts (dwannetts) wrote :

Hi Ray,

Fair enough.

But this reply does not actually solve the problem that was created by the 02 December update.

I will file another bug report

David Annetts Ph.D.
Senior Research Scientist
CSIRO | Mineral Resources
E <email address hidden> T +61 8 6436 8517 M 0411 756 129
26 Dick Perry Av. KENSINGTON, 6151, AUSTRALIA
www.csiro.au

PLEASE NOTE
The information contained in this email may be confidential or privileged. Any unauthorised use or disclosure is prohibited. If you have received this email in error, please delete it immediately and notify the sender by return email. Thank you. To the extent permitted by law, CSIRO does not represent, warrant and/or guarantee that the integrity of this communication has been maintained or that the communication is free of errors, virus, interception or interference.

________________________________________
From: <email address hidden> <email address hidden> on behalf of Ray Johnston <email address hidden>
Sent: Wednesday, 7 December 2016 05:54
To: Annetts, Dave (Mineral Resources, Kensington WA)
Subject: [Bug 1647276] Re: ps2epsi fails after December 01 update

Just in case you aren't following the bug forwarded to us, we have closed the bug as INVALID
Basically, the bug report was incomplete, and confusing -- the title and follow up info to us
indicated ps2epsi, but the description comment "This means that I am unable to convert from a ps to a PDF and have the correct (tight) bounding box." indicates that a PDF was being created. ps2epsi does not create a PDF (ghostscript can, using ps2pdf, not ps2epsi.

We did try ps2epsi and the %%BoundingBox looks fine.

Please try and do a better job of describing bugs in the future, bu including the command line
and describing the "before" and "after" results in as much detail as possible, particularly
what you think is incorrect in the "after".

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1647276

Title:
  ps2epsi fails after December 01 update

Status in ghostscript package in Ubuntu:
  New

Bug description:
  ps2epsi conversion was working fine before the December 2 update.
  Now? Broken.

  This means that I am unable to convert from a ps to a PDF and have the
  correct (tight) bounding box.

  Start-Date: 2016-12-02 10:42:35
  Commandline: /usr/bin/unattended-upgrade
  Upgrade: libgs9:amd64 (9.18~dfsg~0-0ubuntu2, 9.18~dfsg~0-0ubuntu2.2), ghostscript:amd64 (9.18~dfsg~0-0ubuntu2, 9.18~df
  sg~0-0ubuntu2.2), ghostscript-x:amd64 (9.18~dfsg~0-0ubuntu2, 9.18~dfsg~0-0ubuntu2.2), libgs9-common:amd64 (9.18~dfsg~0
  -0ubuntu2, 9.18~dfsg~0-0ubuntu2.2)
  End-Date: 2016-12-02 10:42:37

  Description: Ubuntu 16.04.1 LTS
  Release: 16.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ghostscript/+bug/1647276/+subscriptions

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ghostscript - 9.19~dfsg+1-0ubuntu6.3

---------------
ghostscript (9.19~dfsg+1-0ubuntu6.3) yakkety-security; urgency=medium

  * SECURITY UPDATE: Fix regression introduced by fix for CVE-2013-5653
    (LP: #1647276)
    - debian/patches/CVE-2013-5653-regression.patch

 -- Emily Ratliff <email address hidden> Mon, 05 Dec 2016 11:02:28 -0600

Changed in ghostscript (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ghostscript - 9.18~dfsg~0-0ubuntu2.3

---------------
ghostscript (9.18~dfsg~0-0ubuntu2.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Fix regression introduced by fix for CVE-2013-5653
    (LP: #1647276)
    - debian/patches/CVE-2013-5653-regression.patch

 -- Emily Ratliff <email address hidden> Mon, 05 Dec 2016 11:16:41 -0600

Changed in ghostscript (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.